> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a telemetry data point

> Create a telemetry data point for long term storage in the telemetry table



## OpenAPI

````yaml /api-reference/bundled.yaml post /v0/telemetry/ingest
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/telemetry/ingest:
    post:
      tags:
        - telemetry
      summary: Create a telemetry data point
      description: >-
        Create a telemetry data point for long term storage in the telemetry
        table
      operationId: createTelemetry
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTelemetryRequest'
      responses:
        '201':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTelemetryResponse'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CreateTelemetryRequest:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: >-
            The unique identifier of the telemetry event. If not provided, a
            random UUID will be generated.
        data:
          type: object
          description: The data payload of the telemetry event.
          additionalProperties: true
        type:
          $ref: '#/components/schemas/TelemetryType'
      required:
        - data
        - type
    CreateTelemetryResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The id of the created telemetry event
      required:
        - id
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
    TelemetryType:
      type: string
      description: The type of the telemetry event.
      enum:
        - SCA_PRIME
        - GABLE_CLIENT
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````